[PATCH v2 3/5] tests: add usage() to run-all.sh

Ilan Peer ilan.peer
Mon Oct 27 07:00:55 PDT 2014


Signed-off-by: Ilan Peer <ilan.peer at intel.com>
---
 tests/hwsim/run-all.sh | 10 ++++++++++
 1 file changed, 10 insertions(+)

diff --git a/tests/hwsim/run-all.sh b/tests/hwsim/run-all.sh
index d82a17e..d030998 100755
--- a/tests/hwsim/run-all.sh
+++ b/tests/hwsim/run-all.sh
@@ -24,6 +24,13 @@ else
     fi
 fi
 
+usage(){
+	echo "$0 [-v | --valgrind | valgrind] [-t | --trace | trace]"
+	echo "\t[-n <num> | --channels <num>] [-B | --build]"
+	echo "\t[-c | --codecov ] [run-tests.py parameters]"
+	exit 1
+}
+
 unset VALGRIND
 unset TRACE
 unset TRACE_ARGS
@@ -55,6 +62,9 @@ while [ "$1" != "" ]; do
 			CODECOV=lcov
 			BUILD_ARGS=-c
 			;;
+		-h | --help )
+			usage
+			;;
 		* )
 			RUN_TEST_ARGS="$RUN_TEST_ARGS$1 "
 			shift
-- 
1.8.3.2




More information about the Hostap mailing list